Subject: Re: [PATCH 0/3] powerpc: Instrument Hypervisor Calls

From: Anton Blanchard <[email-masked]>
Date: Sun, 16 Jul 2006 08:07:58 +1000

> Not sure I follow you. I would expect the PURR value to be restored after
> a context switch, even if we continue on a different physical CPU.
> 
> The idea behind monitoring both PURR and timebase is that the difference
> between the two tells you how long the partition was suspended during
> the hcall.

Sounds good, last time I looked at the patch I thought it was gathering
the PURR only. That on its own would make for some confusing results.

Anton